Get Template Library Permissions

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches the permission details of a Template Library.

Endpoints

OAuth Scope

WorkDrive.libraries.sharing.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/libraries/{library_id}/permissions \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

library_idstring(Required)

The template library ID of My Templates/Org Templates/Public Templates

Response Example

F000

200
200
500
Copied!
  {
    "data": [
      {
        "id": "t4y5t30481213b4ee415d85a111634df62b63-56865813",
        "type": "permissions",
        "attributes": {
          "email_id": "reyansh.ahuja@zylker.com",
          "shared_time_in_millis": 1559575942198,
          "shared_by": "",
          "expiry_in_millis": 0,
          "relation_type": 0,
          "expiration_date": "",
          "share_to_entity_info": {
            "display_name": "Zylker Creation",
            "email_id": "reyansh.ahuja@zylker.com",
            "avatar_url": "https://contacts.zoho.com/file?t=user&ID=56865813&fs=thumb&nps=404"
          },
          "share_to_member_type": -1,
          "role_id": 1,
          "shared_time_i18": "Jun 3, 2019, 9:02 PM",
          "shared_time": "Jun 3, 2019, 9:02 PM",
          "shared_status": "ACTIVE",
          "can_link_to_docs": true,
          "owner": "57056915",
          "allow_sharing_outside": false,
          "shared_type": "workspace",
          "delete_from_propagated_space": false,
          "display_name": "Zylker Creation",
          "message": "",
          "share_to": "56865813",
          "is_expired": false,
          "shared_to_member_type": -1,
          "avatar_url": "https://contacts.zoho.com/file?t=user&ID=56865813&fs=thumb&nps=404",
          "is_password_protected": false,
          "resource_id": "t4y5t30481213b4ee415d85a111634df62b63",
          "permalink": "https://www.zohoapis.com/workdrive/file/t4y5t30481213b4ee415d85a111634df62b63",
          "shared_by_zuid": "57056915"
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/permissions/t4y5t30481213b4ee415d85a111634df62b63-56865813"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "Generic server-side failure"
      }
    ]
  }
                
Show full